import { DirectiveSchema } from '../types';
/**
 * v-if 指令
 * @param directives
 * @param context
 * @returns
 */
export declare function vIf(directives: Record<string, DirectiveSchema> | undefined, context: any): boolean;
/**
 * v-show 指令
 * @param directives
 * @param context
 * @returns
 */
export declare function vShow(directives: Record<string, DirectiveSchema> | undefined, context: any): boolean;
export declare function hasVShow(directives?: Record<string, DirectiveSchema>): boolean;
export declare function vOn(directives: Record<string, DirectiveSchema> | undefined, context: any): any;
export declare function vBind(directives: Record<string, DirectiveSchema> | undefined, context: any): any;
/**
 * 双向绑定
 * @param directives
 * @param context
 * @returns
 */
export declare function vModel(directives: Record<string, DirectiveSchema> | undefined, context: any): {
    modelValue: any;
    'onUpdate:modelValue': (v: string) => void;
} | null;
export declare function vFor(id: string, directives: Record<string, DirectiveSchema> | undefined, context: any, callback: (item?: any, index?: string | number) => void): void | void[];
